﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MailDrop : MonoBehaviour {
	private Vector3 targetPos;
	private float moveSpeed = 5;
	public GameObject cube;
    public Transform packageTarget;
    public GameObject pizzeon;
	public Rigidbody rb;


    GameController gc;

    float points;
	// Use this for initialization
	void Start () {
        gc = FindObjectOfType<GameController>();
        packageTarget = gc.targetBuilding;
        rb = GetComponent<Rigidbody> ();
		targetPos = transform.position;
		rb.velocity = new Vector3(0,0,0);
		StartCoroutine (killVelocity ());
	}

	IEnumerator killVelocity(){

		float timer = 0;
		while(timer < 0.3f){
			timer  += Time.deltaTime;
			yield return null;
			rb.velocity = new Vector3(0,0,0);
		}
	}

	// Update is called once per frame
	void Update () {

        /*if (Input.GetMouseButton(0)) {
			targetPos = Camera.main.ScreenToWorldPoint(Input.mousePosition);

			targetPos = new Vector3(targetPos.x,transform.position.y,targetPos.z);
			targetPos.z = transform.position.z;
			targetPos.x = transform.position.x;
			transform.position = Vector3.MoveTowards(transform.position, targetPos, moveSpeed * Time.deltaTime);
		}*/

        Vector3 tPos = Vector3.MoveTowards(transform.position, targetPos, moveSpeed * Time.deltaTime);
		cube.transform.position = new Vector3 (tPos.x, tPos.y, tPos.z);


		Ray ray = Camera.main.ScreenPointToRay(Input.mousePosition);
		RaycastHit hit;



		if (Physics.Raycast(ray, out hit)){
			targetPos = hit.point;

			//targetPos = new Vector3(targetPosition.x,transform.position.y,targetPosition.z);
			//targetPos.z = transform.position.z;
			//targetPos.x = transform.position.x;
		}

	}

    private void OnCollisionEnter(Collision collision)
    {
		if (!collision.transform.CompareTag("Player")) {
			points = 100 - (Vector3.Distance(transform.position, packageTarget.transform.position) * 5);
			if(points < 0)
			{
				points = 0;
			}
			Debug.Log(Vector3.Distance(transform.position, packageTarget.transform.position));
			Debug.Log("Points: " + points);

            gc.points += points;

            if(points > 0)
            {
                gc.delivered++;
                gc.timerSeconds += 20f;
            }

            gc.NewTarget();

			gc.wakePigeon ();

			Destroy(gameObject);
		}
    }
}
